Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: [RFC] Update bundled Lua to 5.2.3
From: Daniel Miller <bonsaiviking () gmail com>
Date: Thu, 02 Jan 2014 09:13:56 -0600

On 12/24/2013 01:14 PM, Daniel Miller wrote:
Hi, List,

I just checked in a script that can check for newer versions of some of our bundled libraries. Looking for the easiest to integrate, I settled on upgrading Lua from 5.2.2 to 5.2.3. This is a bugfix release, drops in place easily and compiles cleanly. I haven't done extensive testing yet, which is why I'm writing to the list.

Please take a look at the attached patch and try it out. Let me know if there are any problems, or if you have any other concerns regarding this upgrade.

Dan

Refs:

Bugs fixed in Lua 5.2.3: http://www.lua.org/bugs.html#5.2.2

The checklibs.sh script: https://svn.nmap.org/nmap/checklibs.sh

Lua version history: http://www.lua.org/versions.html
List,

Since there has been no outcry, and my testing hasn't turned up any bugs, I'll commit this. Please let everyone know if you notice any problems!

Dan
_______________________________________________
Sent through the dev mailing list
http://nmap.org/mailman/listinfo/dev
Archived at http://seclists.org/nmap-dev/


  By Date           By Thread  

Current thread:
  • Re: [RFC] Update bundled Lua to 5.2.3 Daniel Miller (Jan 02)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]